#define CONFIGFILE ".config/gencfs"
//config file format: one encrypteddir per line: "encrypted_directory:mountpoint"


enum { //encrypteddirs's TreeView columns
	ENCRYPTEDDIR,
	MOUNTPOINT,
	MOUNTED,
	COLUMNS_COUNT
};

void define_encrypteddirs_model ();

gboolean is_mounted (gchar *mountpoint, gchar **mounts);

gchar **load_mounts ();

void load_encrypteddirs ();

void save_encrypteddirs ();

void mount_encrypteddir (GtkWidget *widget, gpointer user_data);

void umount_encrypteddir (GtkWidget *widget, gpointer user_data);

void add_encrypteddir (GtkWidget *widget, gpointer user_data);

void remove_encrypteddir (GtkWidget *widget, gpointer user_data);

gboolean on_encrypteddir_change (	GtkTreeSelection	*selection,
							GtkTreeModel		*encrypteddirs_model,
							GtkTreePath		*path,
							gboolean			path_currently_selected,
							gpointer			userdata);

void on_cell_edited (	GtkCellRendererText	*cell,
					gchar				*path_string,
					gchar				*new_text,
					gpointer				user_data);


void encfscommandfinished (GPid pid, gint status, gpointer data);

void set_encrypted_directory (GtkWidget *widget, gpointer user_data);
