#include <gtk/gtk.h>
#include <unistd.h>
#include <libintl.h>
#include <locale.h>
#define _(String) gettext (String)
#define N_(String) String
#include <string.h>
#include "config.h"

#include "gencfs-askpass.h"



void submitpassword (GtkWidget *widget, gpointer user_data) {
	GtkEntry *password;
	
	password = (GtkEntry *) gtk_builder_get_object (widgetstree, "password");
	g_print ("%s\n", gtk_entry_get_text (password));
	gtk_main_quit();
}



void viewpasswordtoggle (GtkWidget *widget, gpointer user_data) {
	GtkEntry *password;
	GtkCheckButton *viewpassword;
	
	password = (GtkEntry *) gtk_builder_get_object (widgetstree, "password");
	viewpassword = (GtkCheckButton *) gtk_builder_get_object (widgetstree, "viewpassword");
	
	if (visiblepassword) {
		gtk_entry_set_visibility (password, FALSE);
	} else {
		gtk_entry_set_visibility (password, TRUE);
	}
	visiblepassword = ! visiblepassword;
}


int main (int argc, char *argv[]) {
	GtkWindow *mainwindow;
	gchar line[81];
	gint i;
	
	setlocale (LC_ALL, "");
	bindtextdomain (PROJECT_NAME, LOCALE_DIR);
	textdomain (PROJECT_NAME);

	gtk_init (&argc, &argv);
	widgetstree = gtk_builder_new();
	gtk_builder_add_from_file (widgetstree, ASKPASS_UI_FILE, NULL);
	gtk_builder_connect_signals (widgetstree, NULL);
	
	mainwindow = (GtkWindow *) gtk_builder_get_object (widgetstree, "mainwindow");
	gtk_window_set_icon_from_file (mainwindow, APP_ICON, NULL);
	gtk_widget_show ((GtkWidget *) mainwindow);
	gtk_main();
	return 0;
}
